> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/create#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/create#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/create#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/create#try-it)

Assigns a targeting option to an ad group. Returns the assigned targeting option if successful.

This method is only supported for Demand Gen ad groups.

### HTTP request

`POST https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/adGroups/{adGroupId}/targetingTypes/{targetingType}/assignedTargetingOptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser the ad group belongs to. |
| `adGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the ad group the assigned targeting option will belong to. |
| `targetingType` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v5/TargetingType`)`` Required. Identifies the type of this assigned targeting option. Supported targeting types: - `TARGETING_TYPE_AGE_RANGE` - `TARGETING_TYPE_APP` - `TARGETING_TYPE_APP_CATEGORY` - `TARGETING_TYPE_CATEGORY` - `TARGETING_TYPE_COMBINED_AUDIENCE` - `TARGETING_TYPE_CUSTOM_LIST` - `TARGETING_TYPE_FIRST_PARTY_AND_PARTNER_AUDIENCE` - `TARGETING_TYPE_GENDER` - `TARGETING_TYPE_GEO_REGION` - `TARGETING_TYPE_GOOGLE_AUDIENCE` - `TARGETING_TYPE_HOUSEHOLD_INCOME` - `TARGETING_TYPE_KEYWORD` - `TARGETING_TYPE_LANGUAGE` - `TARGETING_TYPE_LOOKALIKE_AUDIENCE` - `TARGETING_TYPE_PARENTAL_STATUS` - `TARGETING_TYPE_URL` - `TARGETING_TYPE_YOUTUBE_CHANNEL` - `TARGETING_TYPE_YOUTUBE_VIDEO` |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).